/*
 * Copyright 2011 The Kuali Foundation
 *
 * Licensed under the Educational Community License, Version 1.0 (the
 * "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at
 *
 * http://www.opensource.org/licenses/ecl1.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 * implied.  See the License for the specific language governing
 * permissions and limitations under the License.
 */
package org.kuali.student.r2.lum.util.constants;

import org.kuali.student.r2.common.constants.CommonServiceConstants;
import org.kuali.student.r2.lum.lrc.dto.ResultScaleInfo;
import org.kuali.student.r2.lum.lrc.dto.ResultValueInfo;
import org.kuali.student.r2.lum.lrc.dto.ResultValuesGroupInfo;
import org.kuali.student.r2.lum.lrc.infc.ResultValuesGroup;

/**
 * Grading Service Constants
 */
public class LrcServiceConstants {

    public static final String NAMESPACE = CommonServiceConstants.REF_OBJECT_URI_GLOBAL_PREFIX + "lrc";
    public static final String SERVICE_NAME_LOCAL_PART = "LrcService";
    public static final String REF_OBJECT_URI_RESULT_VALUE = NAMESPACE + "/" + ResultValueInfo.class.getSimpleName();
    public static final String REF_OBJECT_URI_RESULT_SCALE = NAMESPACE + "/" + ResultScaleInfo.class.getSimpleName();
    public static final String REF_OBJECT_URI_RESULT_VALUES_GROUP = NAMESPACE + "/" + ResultValuesGroupInfo.class.getSimpleName();
    public static final String RESULT_VALUES_GROUP_PROCESS_KEY = "kuali.result.values.group.process";
    // result values group types
    public static final String RESULT_VALUES_GROUP_TYPE_KEY_FIXED = "kuali.result.values.group.type.fixed";
    public static final String RESULT_VALUES_GROUP_TYPE_KEY_RANGE = "kuali.result.values.group.type.range";
    public static final String RESULT_VALUES_GROUP_TYPE_KEY_MULTIPLE = "kuali.result.values.group.type.multiple";

    //R1 Result component types //todo get rid of these when r1 is refactored out
    public static final String R1_RESULT_COMPONENT_TYPE_KEY_FIXED = "kuali.resultComponentType.credit.degree.fixed";
    public static final String R1_RESULT_COMPONENT_TYPE_KEY_RANGE = "kuali.resultComponentType.credit.degree.range";
    public static final String R1_RESULT_COMPONENT_TYPE_KEY_MULTIPLE = "kuali.resultComponentType.credit.degree.multiple";
    public static final String R1_DYN_ATTR_CREDIT_OPTION_MIN_CREDITS = "minCreditValue";
    public static final String R1_DYN_ATTR_CREDIT_OPTION_MAX_CREDITS = "maxCreditValue";
    public static final String R1_DYN_ATTR_CREDIT_OPTION_FIXED_CREDITS = "fixedCreditValue";

    // scale types
    public static final String RESULT_SCALE_TYPE_KEY_GRADE = "kuali.result.scale.type.grade";
    public static final String RESULT_SCALE_TYPE_KEY_ADMIN_GRADE = "kuali.result.scale.type.grade.admin";
    public static final String RESULT_SCALE_TYPE_KEY_CREDIT = "kuali.result.scale.type.credit";
    public static final String RESULT_SCALE_TYPE_KEY_DEGREE = "kuali.result.scale.type.degree";
    public static final String RESULT_SCALE_TYPE_KEY_MINOR = "kuali.result.scale.type.minor";
    public static final String RESULT_SCALE_TYPE_KEY_CERTIFICATION = "kuali.result.scale.type.certification";
    public static final String RESULT_SCALE_TYPE_KEY_CERTIFICATE = "kuali.result.scale.type.certificate";
    public static final String RESULT_SCALE_TYPE_KEY_COMPLETION = "kuali.result.scale.type.requirement.completion";
    public static final String RESULT_SCALE_TYPE_KEY_GPA = "kuali.result.scale.type.gpa";
    public static final String RESULT_SCALE_TYPE_KEY_STUDENT_YEAR = "kuali.result.scale.type.student.year";
    public static final String RESULT_SCALE_TYPE_KEY_HONOR = "kuali.result.scale.type.honor";
// known scale keys
    public static final String RESULT_SCALE_KEY_GRADE_LETTER = "kuali.result.scale.grade.letter";
    public static final String RESULT_SCALE_KEY_GRADE_PF = "kuali.result.scale.grade.pf";
    public static final String RESULT_SCALE_KEY_GRADE_PNP = "kuali.result.scale.grade.pnp";
    public static final String RESULT_SCALE_KEY_GRADE_RISK_FLAG = "kuali.result.scale.grade.risk.flag";
    public static final String RESULT_SCALE_KEY_GRADE_REVIEW = "kuali.result.scale.grade.review";
    public static final String RESULT_SCALE_KEY_GRADE_COMPLETED = "kuali.result.scale.grade.completed";
    public static final String RESULT_SCALE_KEY_GRADE_NARRATIVE = "kuali.result.scale.grade.narrative";
    public static final String RESULT_SCALE_KEY_GRADE_LETTER_PLUS_MINUS = "kuali.result.scale.grade.letter.plus.minus";
    public static final String RESULT_SCALE_KEY_GRADE_PERCENTAGE = "kuali.result.scale.grade.percentage";
    public static final String RESULT_SCALE_KEY_GRADE_ADMIN = "kuali.result.scale.grade.admin";
    public static final String RESULT_SCALE_KEY_CREDIT_DEGREE = "kuali.result.scale.credit.degree";
    public static final String RESULT_SCALE_KEY_CREDIT_REMEDIAL = "kuali.result.scale.credit.remedial";
    public static final String RESULT_SCALE_KEY_CREDIT_CEU = "kuali.result.scale.credit.ceu";
    public static final String RESULT_SCALE_KEY_DEGREE = "kuali.result.scale.degree";
    public static final String RESULT_SCALE_KEY_MINOR = "kuali.result.scale.minor";
    public static final String RESULT_SCALE_KEY_CERTIFICATION = "kuali.result.scale.certification";
    public static final String RESULT_SCALE_KEY_CERTIFICATE_GRADUATE = "kuali.result.scale.certificate.graduate";
    public static final String RESULT_SCALE_KEY_REQUIREMENT_COMPLETION = "kuali.result.scale.requirement.completion";
    public static final String RESULT_SCALE_KEY_REQUIREMENT_COMPLETION_PERCENT = "kuali.result.scale.requirement.completion.percent";
    public static final String RESULT_SCALE_KEY_GPA = "kuali.result.scale.gpa";
    public static final String RESULT_SCALE_KEY_GPA_TWO_DECIMALS = "kuali.result.scale.gpa.two.decimals";
    public static final String RESULT_SCALE_KEY_STUDENT_YEAR = "kuali.result.scale.student.year";
    public static final String RESULT_SCALE_KEY_STUDENT_YEAR_GRAD = "kuali.result.scale.student.year.grad";
    public static final String RESULT_SCALE_KEY_STUDENT_YEAR_LOCKSTEP = "kuali.result.scale.student.year.lockstep";
    public static final String RESULT_SCALE_KEY_HONOR_DEANS_LIST = "kuali.result.scale.honor.deans.list";
    public static final String RESULT_SCALE_KEY_HONOR_DEGREE_LATIN = "kuali.result.scale.honor.degree.latin";
    // result value keys
    public static final String RESULT_VALUE_KEY_GRADE_ADMIN_I = "kuali.result.value.grade.admin.i";
    public static final String RESULT_VALUE_KEY_GRADE_ADMIN_NR = "kuali.result.value.grade.admin.nr";
    public static final String RESULT_VALUE_KEY_GRADE_ADMIN_JUDICIAL = "kuali.result.value.grade.admin.judicial";
    public static final String RESULT_VALUE_KEY_GRADE_ADMIN_W = "kuali.result.value.grade.admin.w";
    public static final String RESULT_VALUE_KEY_GRADE_ADMIN_HW = "kuali.result.value.grade.admin.hw";
    public static final String RESULT_VALUE_KEY_GRADE_ADMIN_IP = "kuali.result.value.grade.admin.ip";
    public static final String RESULT_VALUE_KEY_GRADE_ADMIN_AUDIT = "kuali.result.value.grade.admin.audit";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_A = "kuali.result.value.grade.letter.a";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_B = "kuali.result.value.grade.letter.b";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_C = "kuali.result.value.grade.letter.c";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_D = "kuali.result.value.grade.letter.d";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_F = "kuali.result.value.grade.letter.f";
    public static final String RESULT_VALUE_KEY_GRADE_PF_P = "kuali.result.value.grade.pf.p";
    public static final String RESULT_VALUE_KEY_GRADE_PF_F = "kuali.result.value.grade.pf.f";
    public static final String RESULT_VALUE_KEY_GRADE_PNP_P = "kuali.result.value.grade.pnp.p";
    public static final String RESULT_VALUE_KEY_GRADE_PNP_NP = "kuali.result.value.grade.pnp.np";
    public static final String RESULT_VALUE_KEY_GRADE_COMPLETED_COMP = "kuali.result.value.grade.completed.comp";
    public static final String RESULT_VALUE_KEY_GRADE_COMPLETED_NOT = "kuali.result.value.grade.completed.not";
    public static final String RESULT_VALUE_KEY_GRADE_NARRATIVE = "kuali.result.value.grade.narrative";
    public static final String RESULT_VALUE_KEY_GRADE_ADMIN_S = "kuali.result.value.grade.admin.s";
    public static final String RESULT_VALUE_KEY_GRADE_ADMIN_U = "kuali.result.value.grade.admin.u";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_A_PLUS = "kuali.result.value.grade.letter.plus.minus.a+";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_A = "kuali.result.value.grade.letter.plus.minus.a";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_A_MINUS = "kuali.result.value.grade.letter.plus.minus.a-";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_B_PLUS = "kuali.result.value.grade.letter.plus.minus.b+";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_B = "kuali.result.value.grade.letter.plus.minus.b";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_B_MINUS = "kuali.result.value.grade.letter.plus.minus.b-";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_C_PLUS = "kuali.result.value.grade.letter.plus.minus.c+";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_C = "kuali.result.value.grade.letter.plus.minus.c";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_C_MINUS = "kuali.result.value.grade.letter.plus.minus.c-";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_D_PLUS = "kuali.result.value.grade.letter.plus.minus.d+";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_D = "kuali.result.value.grade.letter.plus.minus.d";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_D_MINUS = "kuali.result.value.grade.letter.plus.minus.d-";
    public static final String RESULT_VALUE_KEY_GRADE_LETTER_PLUS_MINUS_F = "kuali.result.value.grade.letter.plus.minus.f";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_0 = "kuali.result.value.grade.percentage.0";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_1 = "kuali.result.value.grade.percentage.1";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_2 = "kuali.result.value.grade.percentage.2";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_3 = "kuali.result.value.grade.percentage.3";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_4 = "kuali.result.value.grade.percentage.4";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_5 = "kuali.result.value.grade.percentage.5";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_6 = "kuali.result.value.grade.percentage.6";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_7 = "kuali.result.value.grade.percentage.7";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_8 = "kuali.result.value.grade.percentage.8";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_9 = "kuali.result.value.grade.percentage.9";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_10 = "kuali.result.value.grade.percentage.10";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_11 = "kuali.result.value.grade.percentage.11";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_12 = "kuali.result.value.grade.percentage.12";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_13 = "kuali.result.value.grade.percentage.13";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_14 = "kuali.result.value.grade.percentage.14";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_15 = "kuali.result.value.grade.percentage.15";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_16 = "kuali.result.value.grade.percentage.16";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_17 = "kuali.result.value.grade.percentage.17";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_18 = "kuali.result.value.grade.percentage.18";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_19 = "kuali.result.value.grade.percentage.19";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_20 = "kuali.result.value.grade.percentage.20";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_21 = "kuali.result.value.grade.percentage.21";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_22 = "kuali.result.value.grade.percentage.22";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_23 = "kuali.result.value.grade.percentage.23";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_24 = "kuali.result.value.grade.percentage.24";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_25 = "kuali.result.value.grade.percentage.25";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_26 = "kuali.result.value.grade.percentage.26";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_27 = "kuali.result.value.grade.percentage.27";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_28 = "kuali.result.value.grade.percentage.28";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_29 = "kuali.result.value.grade.percentage.29";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_30 = "kuali.result.value.grade.percentage.30";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_31 = "kuali.result.value.grade.percentage.31";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_32 = "kuali.result.value.grade.percentage.32";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_33 = "kuali.result.value.grade.percentage.33";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_34 = "kuali.result.value.grade.percentage.34";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_35 = "kuali.result.value.grade.percentage.35";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_36 = "kuali.result.value.grade.percentage.36";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_37 = "kuali.result.value.grade.percentage.37";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_38 = "kuali.result.value.grade.percentage.38";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_39 = "kuali.result.value.grade.percentage.39";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_40 = "kuali.result.value.grade.percentage.40";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_41 = "kuali.result.value.grade.percentage.41";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_42 = "kuali.result.value.grade.percentage.42";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_43 = "kuali.result.value.grade.percentage.43";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_44 = "kuali.result.value.grade.percentage.44";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_45 = "kuali.result.value.grade.percentage.45";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_46 = "kuali.result.value.grade.percentage.46";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_47 = "kuali.result.value.grade.percentage.47";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_48 = "kuali.result.value.grade.percentage.48";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_49 = "kuali.result.value.grade.percentage.49";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_50 = "kuali.result.value.grade.percentage.50";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_51 = "kuali.result.value.grade.percentage.51";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_52 = "kuali.result.value.grade.percentage.52";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_53 = "kuali.result.value.grade.percentage.53";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_54 = "kuali.result.value.grade.percentage.54";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_55 = "kuali.result.value.grade.percentage.55";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_56 = "kuali.result.value.grade.percentage.56";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_57 = "kuali.result.value.grade.percentage.57";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_58 = "kuali.result.value.grade.percentage.58";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_59 = "kuali.result.value.grade.percentage.59";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_60 = "kuali.result.value.grade.percentage.60";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_61 = "kuali.result.value.grade.percentage.61";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_62 = "kuali.result.value.grade.percentage.62";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_63 = "kuali.result.value.grade.percentage.63";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_64 = "kuali.result.value.grade.percentage.64";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_65 = "kuali.result.value.grade.percentage.65";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_66 = "kuali.result.value.grade.percentage.66";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_67 = "kuali.result.value.grade.percentage.67";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_68 = "kuali.result.value.grade.percentage.68";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_69 = "kuali.result.value.grade.percentage.69";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_70 = "kuali.result.value.grade.percentage.70";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_71 = "kuali.result.value.grade.percentage.71";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_72 = "kuali.result.value.grade.percentage.72";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_73 = "kuali.result.value.grade.percentage.73";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_74 = "kuali.result.value.grade.percentage.74";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_75 = "kuali.result.value.grade.percentage.75";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_76 = "kuali.result.value.grade.percentage.76";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_77 = "kuali.result.value.grade.percentage.77";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_78 = "kuali.result.value.grade.percentage.78";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_79 = "kuali.result.value.grade.percentage.79";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_80 = "kuali.result.value.grade.percentage.80";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_81 = "kuali.result.value.grade.percentage.81";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_82 = "kuali.result.value.grade.percentage.82";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_83 = "kuali.result.value.grade.percentage.83";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_84 = "kuali.result.value.grade.percentage.84";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_85 = "kuali.result.value.grade.percentage.85";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_86 = "kuali.result.value.grade.percentage.86";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_87 = "kuali.result.value.grade.percentage.87";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_88 = "kuali.result.value.grade.percentage.88";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_89 = "kuali.result.value.grade.percentage.89";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_90 = "kuali.result.value.grade.percentage.90";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_91 = "kuali.result.value.grade.percentage.91";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_92 = "kuali.result.value.grade.percentage.92";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_93 = "kuali.result.value.grade.percentage.93";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_94 = "kuali.result.value.grade.percentage.94";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_95 = "kuali.result.value.grade.percentage.95";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_96 = "kuali.result.value.grade.percentage.96";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_97 = "kuali.result.value.grade.percentage.97";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_98 = "kuali.result.value.grade.percentage.98";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_99 = "kuali.result.value.grade.percentage.99";
    public static final String RESULT_VALUE_KEY_GRADE_PERCENTAGE_100 = "kuali.result.value.grade.percentage.100";
    public static final String RESULT_VALUE_KEY_CREDIT_DEGREE_1 = "kuali.result.value.credit.degree.1";
    public static final String RESULT_VALUE_KEY_CREDIT_DEGREE_2 = "kuali.result.value.credit.degree.2";
    public static final String RESULT_VALUE_KEY_CREDIT_DEGREE_3 = "kuali.result.value.credit.degree.3";
    public static final String RESULT_VALUE_KEY_CREDIT_DEGREE_4 = "kuali.result.value.credit.degree.4";
    public static final String RESULT_VALUE_KEY_CREDIT_DEGREE_5 = "kuali.result.value.credit.degree.5";
    public static final String RESULT_VALUE_KEY_CREDIT_DEGREE_6 = "kuali.result.value.credit.degree.6";
    public static final String RESULT_VALUE_KEY_CREDIT_DEGREE_7 = "kuali.result.value.credit.degree.7";
    public static final String RESULT_VALUE_KEY_CREDIT_DEGREE_8 = "kuali.result.value.credit.degree.8";
    public static final String RESULT_VALUE_KEY_CREDIT_DEGREE_9 = "kuali.result.value.credit.degree.9";
    public static final String RESULT_VALUE_KEY_CREDIT_DEGREE_10 = "kuali.result.value.credit.degree.10";
    public static final String RESULT_VALUE_KEY_CREDIT_REMEDIAL_1 = "kuali.result.value.credit.remedial.1";
    public static final String RESULT_VALUE_KEY_CREDIT_REMEDIAL_2 = "kuali.result.value.credit.remedial.2";
    public static final String RESULT_VALUE_KEY_CREDIT_REMEDIAL_3 = "kuali.result.value.credit.remedial.3";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_NOT = "kuali.result.value.requirement.completion.not";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PARTIAL = "kuali.result.value.requirement.completion.partial";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_COMPLETED = "kuali.result.value.requirement.completion.completed";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_0 = "kuali.result.value.requirement.completion.percent.0";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_1 = "kuali.result.value.requirement.completion.percent.1";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_2 = "kuali.result.value.requirement.completion.percent.2";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_3 = "kuali.result.value.requirement.completion.percent.3";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_4 = "kuali.result.value.requirement.completion.percent.4";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_5 = "kuali.result.value.requirement.completion.percent.5";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_6 = "kuali.result.value.requirement.completion.percent.6";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_7 = "kuali.result.value.requirement.completion.percent.7";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_8 = "kuali.result.value.requirement.completion.percent.8";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_9 = "kuali.result.value.requirement.completion.percent.9";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_10 = "kuali.result.value.requirement.completion.percent.10";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_11 = "kuali.result.value.requirement.completion.percent.11";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_12 = "kuali.result.value.requirement.completion.percent.12";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_13 = "kuali.result.value.requirement.completion.percent.13";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_14 = "kuali.result.value.requirement.completion.percent.14";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_15 = "kuali.result.value.requirement.completion.percent.15";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_16 = "kuali.result.value.requirement.completion.percent.16";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_17 = "kuali.result.value.requirement.completion.percent.17";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_18 = "kuali.result.value.requirement.completion.percent.18";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_19 = "kuali.result.value.requirement.completion.percent.19";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_20 = "kuali.result.value.requirement.completion.percent.20";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_21 = "kuali.result.value.requirement.completion.percent.21";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_22 = "kuali.result.value.requirement.completion.percent.22";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_23 = "kuali.result.value.requirement.completion.percent.23";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_24 = "kuali.result.value.requirement.completion.percent.24";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_25 = "kuali.result.value.requirement.completion.percent.25";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_26 = "kuali.result.value.requirement.completion.percent.26";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_27 = "kuali.result.value.requirement.completion.percent.27";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_28 = "kuali.result.value.requirement.completion.percent.28";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_29 = "kuali.result.value.requirement.completion.percent.29";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_30 = "kuali.result.value.requirement.completion.percent.30";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_31 = "kuali.result.value.requirement.completion.percent.31";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_32 = "kuali.result.value.requirement.completion.percent.32";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_33 = "kuali.result.value.requirement.completion.percent.33";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_34 = "kuali.result.value.requirement.completion.percent.34";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_35 = "kuali.result.value.requirement.completion.percent.35";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_36 = "kuali.result.value.requirement.completion.percent.36";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_37 = "kuali.result.value.requirement.completion.percent.37";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_38 = "kuali.result.value.requirement.completion.percent.38";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_39 = "kuali.result.value.requirement.completion.percent.39";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_40 = "kuali.result.value.requirement.completion.percent.40";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_41 = "kuali.result.value.requirement.completion.percent.41";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_42 = "kuali.result.value.requirement.completion.percent.42";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_43 = "kuali.result.value.requirement.completion.percent.43";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_44 = "kuali.result.value.requirement.completion.percent.44";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_45 = "kuali.result.value.requirement.completion.percent.45";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_46 = "kuali.result.value.requirement.completion.percent.46";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_47 = "kuali.result.value.requirement.completion.percent.47";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_48 = "kuali.result.value.requirement.completion.percent.48";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_49 = "kuali.result.value.requirement.completion.percent.49";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_50 = "kuali.result.value.requirement.completion.percent.50";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_51 = "kuali.result.value.requirement.completion.percent.51";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_52 = "kuali.result.value.requirement.completion.percent.52";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_53 = "kuali.result.value.requirement.completion.percent.53";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_54 = "kuali.result.value.requirement.completion.percent.54";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_55 = "kuali.result.value.requirement.completion.percent.55";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_56 = "kuali.result.value.requirement.completion.percent.56";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_57 = "kuali.result.value.requirement.completion.percent.57";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_58 = "kuali.result.value.requirement.completion.percent.58";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_59 = "kuali.result.value.requirement.completion.percent.59";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_60 = "kuali.result.value.requirement.completion.percent.60";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_61 = "kuali.result.value.requirement.completion.percent.61";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_62 = "kuali.result.value.requirement.completion.percent.62";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_63 = "kuali.result.value.requirement.completion.percent.63";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_64 = "kuali.result.value.requirement.completion.percent.64";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_65 = "kuali.result.value.requirement.completion.percent.65";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_66 = "kuali.result.value.requirement.completion.percent.66";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_67 = "kuali.result.value.requirement.completion.percent.67";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_68 = "kuali.result.value.requirement.completion.percent.68";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_69 = "kuali.result.value.requirement.completion.percent.69";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_70 = "kuali.result.value.requirement.completion.percent.70";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_71 = "kuali.result.value.requirement.completion.percent.71";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_72 = "kuali.result.value.requirement.completion.percent.72";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_73 = "kuali.result.value.requirement.completion.percent.73";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_74 = "kuali.result.value.requirement.completion.percent.74";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_75 = "kuali.result.value.requirement.completion.percent.75";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_76 = "kuali.result.value.requirement.completion.percent.76";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_77 = "kuali.result.value.requirement.completion.percent.77";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_78 = "kuali.result.value.requirement.completion.percent.78";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_79 = "kuali.result.value.requirement.completion.percent.79";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_80 = "kuali.result.value.requirement.completion.percent.80";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_81 = "kuali.result.value.requirement.completion.percent.81";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_82 = "kuali.result.value.requirement.completion.percent.82";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_83 = "kuali.result.value.requirement.completion.percent.83";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_84 = "kuali.result.value.requirement.completion.percent.84";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_85 = "kuali.result.value.requirement.completion.percent.85";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_86 = "kuali.result.value.requirement.completion.percent.86";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_87 = "kuali.result.value.requirement.completion.percent.87";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_88 = "kuali.result.value.requirement.completion.percent.88";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_89 = "kuali.result.value.requirement.completion.percent.89";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_90 = "kuali.result.value.requirement.completion.percent.90";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_91 = "kuali.result.value.requirement.completion.percent.91";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_92 = "kuali.result.value.requirement.completion.percent.92";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_93 = "kuali.result.value.requirement.completion.percent.93";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_94 = "kuali.result.value.requirement.completion.percent.94";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_95 = "kuali.result.value.requirement.completion.percent.95";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_96 = "kuali.result.value.requirement.completion.percent.96";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_97 = "kuali.result.value.requirement.completion.percent.97";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_98 = "kuali.result.value.requirement.completion.percent.98";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_99 = "kuali.result.value.requirement.completion.percent.99";
    public static final String RESULT_VALUE_KEY_REQUIREMENT_COMPLETION_PERCENT_100 = "kuali.result.value.requirement.completion.percent.100";
    public static final String RESULT_VALUE_KEY_DEGREE_AS = "kuali.result.value.degree.as";
    public static final String RESULT_VALUE_KEY_DEGREE_AA = "kuali.result.value.degree.aa";
    public static final String RESULT_VALUE_KEY_DEGREE_BSC = "kuali.result.value.degree.bsc";
    public static final String RESULT_VALUE_KEY_DEGREE_BA = "kuali.result.value.degree.ba";
    public static final String RESULT_VALUE_KEY_DEGREE_BMUS = "kuali.result.value.degree.bmus";
    public static final String RESULT_VALUE_KEY_DEGREE_MARCH = "kuali.result.value.degree.march";
    public static final String RESULT_VALUE_KEY_DEGREE_MENG = "kuali.result.value.degree.meng";
    public static final String RESULT_VALUE_KEY_DEGREE_MS = "kuali.result.value.degree.ms";
    public static final String RESULT_VALUE_KEY_DEGREE_MA = "kuali.result.value.degree.ma";
    public static final String RESULT_VALUE_KEY_DEGREE_MBA = "kuali.result.value.degree.mba";
    public static final String RESULT_VALUE_KEY_DEGREE_JD = "kuali.result.value.degree.jd";
    public static final String RESULT_VALUE_KEY_DEGREE_MD = "kuali.result.value.degree.md";
    public static final String RESULT_VALUE_KEY_DEGREE_DDS = "kuali.result.value.degree.dds";
    public static final String RESULT_VALUE_KEY_DEGREE_PHD = "kuali.result.value.degree.phd";
    public static final String RESULT_VALUE_KEY_DEGREE_SCD = "kuali.result.value.degree.scd";
    public static final String RESULT_VALUE_KEY_MINOR = "kuali.result.value.minor";
    public static final String RESULT_VALUE_KEY_GPA_0_0 = "kuali.result.value.gpa.0.0";
    public static final String RESULT_VALUE_KEY_GPA_0_1 = "kuali.result.value.gpa.0.1";
    public static final String RESULT_VALUE_KEY_GPA_0_2 = "kuali.result.value.gpa.0.2";
    public static final String RESULT_VALUE_KEY_GPA_0_3 = "kuali.result.value.gpa.0.3";
    public static final String RESULT_VALUE_KEY_GPA_0_4 = "kuali.result.value.gpa.0.4";
    public static final String RESULT_VALUE_KEY_GPA_0_5 = "kuali.result.value.gpa.0.5";
    public static final String RESULT_VALUE_KEY_GPA_0_6 = "kuali.result.value.gpa.0.6";
    public static final String RESULT_VALUE_KEY_GPA_0_7 = "kuali.result.value.gpa.0.7";
    public static final String RESULT_VALUE_KEY_GPA_0_8 = "kuali.result.value.gpa.0.8";
    public static final String RESULT_VALUE_KEY_GPA_0_9 = "kuali.result.value.gpa.0.9";
    public static final String RESULT_VALUE_KEY_GPA_1_0 = "kuali.result.value.gpa.1.0";
    public static final String RESULT_VALUE_KEY_GPA_1_1 = "kuali.result.value.gpa.1.1";
    public static final String RESULT_VALUE_KEY_GPA_1_2 = "kuali.result.value.gpa.1.2";
    public static final String RESULT_VALUE_KEY_GPA_1_3 = "kuali.result.value.gpa.1.3";
    public static final String RESULT_VALUE_KEY_GPA_1_4 = "kuali.result.value.gpa.1.4";
    public static final String RESULT_VALUE_KEY_GPA_1_5 = "kuali.result.value.gpa.1.5";
    public static final String RESULT_VALUE_KEY_GPA_1_6 = "kuali.result.value.gpa.1.6";
    public static final String RESULT_VALUE_KEY_GPA_1_7 = "kuali.result.value.gpa.1.7";
    public static final String RESULT_VALUE_KEY_GPA_1_8 = "kuali.result.value.gpa.1.8";
    public static final String RESULT_VALUE_KEY_GPA_1_9 = "kuali.result.value.gpa.1.9";
    public static final String RESULT_VALUE_KEY_GPA_2_0 = "kuali.result.value.gpa.2.0";
    public static final String RESULT_VALUE_KEY_GPA_2_1 = "kuali.result.value.gpa.2.1";
    public static final String RESULT_VALUE_KEY_GPA_2_2 = "kuali.result.value.gpa.2.2";
    public static final String RESULT_VALUE_KEY_GPA_2_3 = "kuali.result.value.gpa.2.3";
    public static final String RESULT_VALUE_KEY_GPA_2_4 = "kuali.result.value.gpa.2.4";
    public static final String RESULT_VALUE_KEY_GPA_2_5 = "kuali.result.value.gpa.2.5";
    public static final String RESULT_VALUE_KEY_GPA_2_6 = "kuali.result.value.gpa.2.6";
    public static final String RESULT_VALUE_KEY_GPA_2_7 = "kuali.result.value.gpa.2.7";
    public static final String RESULT_VALUE_KEY_GPA_2_8 = "kuali.result.value.gpa.2.8";
    public static final String RESULT_VALUE_KEY_GPA_2_9 = "kuali.result.value.gpa.2.9";
    public static final String RESULT_VALUE_KEY_GPA_3_0 = "kuali.result.value.gpa.3.0";
    public static final String RESULT_VALUE_KEY_GPA_3_1 = "kuali.result.value.gpa.3.1";
    public static final String RESULT_VALUE_KEY_GPA_3_2 = "kuali.result.value.gpa.3.2";
    public static final String RESULT_VALUE_KEY_GPA_3_3 = "kuali.result.value.gpa.3.3";
    public static final String RESULT_VALUE_KEY_GPA_3_4 = "kuali.result.value.gpa.3.4";
    public static final String RESULT_VALUE_KEY_GPA_3_5 = "kuali.result.value.gpa.3.5";
    public static final String RESULT_VALUE_KEY_GPA_3_6 = "kuali.result.value.gpa.3.6";
    public static final String RESULT_VALUE_KEY_GPA_3_7 = "kuali.result.value.gpa.3.7";
    public static final String RESULT_VALUE_KEY_GPA_3_8 = "kuali.result.value.gpa.3.8";
    public static final String RESULT_VALUE_KEY_GPA_3_9 = "kuali.result.value.gpa.3.9";
    public static final String RESULT_VALUE_KEY_GPA_4_0 = "kuali.result.value.gpa.4.0";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_00 = "kuali.result.value.gpa.two.decimals.0.00";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_01 = "kuali.result.value.gpa.two.decimals.0.01";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_02 = "kuali.result.value.gpa.two.decimals.0.02";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_03 = "kuali.result.value.gpa.two.decimals.0.03";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_04 = "kuali.result.value.gpa.two.decimals.0.04";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_05 = "kuali.result.value.gpa.two.decimals.0.05";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_06 = "kuali.result.value.gpa.two.decimals.0.06";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_07 = "kuali.result.value.gpa.two.decimals.0.07";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_08 = "kuali.result.value.gpa.two.decimals.0.08";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_09 = "kuali.result.value.gpa.two.decimals.0.09";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_10 = "kuali.result.value.gpa.two.decimals.0.10";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_11 = "kuali.result.value.gpa.two.decimals.0.11";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_12 = "kuali.result.value.gpa.two.decimals.0.12";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_13 = "kuali.result.value.gpa.two.decimals.0.13";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_14 = "kuali.result.value.gpa.two.decimals.0.14";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_15 = "kuali.result.value.gpa.two.decimals.0.15";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_16 = "kuali.result.value.gpa.two.decimals.0.16";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_17 = "kuali.result.value.gpa.two.decimals.0.17";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_18 = "kuali.result.value.gpa.two.decimals.0.18";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_19 = "kuali.result.value.gpa.two.decimals.0.19";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_20 = "kuali.result.value.gpa.two.decimals.0.20";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_21 = "kuali.result.value.gpa.two.decimals.0.21";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_22 = "kuali.result.value.gpa.two.decimals.0.22";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_23 = "kuali.result.value.gpa.two.decimals.0.23";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_24 = "kuali.result.value.gpa.two.decimals.0.24";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_25 = "kuali.result.value.gpa.two.decimals.0.25";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_26 = "kuali.result.value.gpa.two.decimals.0.26";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_27 = "kuali.result.value.gpa.two.decimals.0.27";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_28 = "kuali.result.value.gpa.two.decimals.0.28";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_29 = "kuali.result.value.gpa.two.decimals.0.29";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_30 = "kuali.result.value.gpa.two.decimals.0.30";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_31 = "kuali.result.value.gpa.two.decimals.0.31";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_32 = "kuali.result.value.gpa.two.decimals.0.32";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_33 = "kuali.result.value.gpa.two.decimals.0.33";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_34 = "kuali.result.value.gpa.two.decimals.0.34";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_35 = "kuali.result.value.gpa.two.decimals.0.35";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_36 = "kuali.result.value.gpa.two.decimals.0.36";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_37 = "kuali.result.value.gpa.two.decimals.0.37";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_38 = "kuali.result.value.gpa.two.decimals.0.38";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_39 = "kuali.result.value.gpa.two.decimals.0.39";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_40 = "kuali.result.value.gpa.two.decimals.0.40";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_41 = "kuali.result.value.gpa.two.decimals.0.41";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_42 = "kuali.result.value.gpa.two.decimals.0.42";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_43 = "kuali.result.value.gpa.two.decimals.0.43";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_44 = "kuali.result.value.gpa.two.decimals.0.44";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_45 = "kuali.result.value.gpa.two.decimals.0.45";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_46 = "kuali.result.value.gpa.two.decimals.0.46";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_47 = "kuali.result.value.gpa.two.decimals.0.47";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_48 = "kuali.result.value.gpa.two.decimals.0.48";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_49 = "kuali.result.value.gpa.two.decimals.0.49";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_50 = "kuali.result.value.gpa.two.decimals.0.50";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_51 = "kuali.result.value.gpa.two.decimals.0.51";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_52 = "kuali.result.value.gpa.two.decimals.0.52";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_53 = "kuali.result.value.gpa.two.decimals.0.53";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_54 = "kuali.result.value.gpa.two.decimals.0.54";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_55 = "kuali.result.value.gpa.two.decimals.0.55";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_56 = "kuali.result.value.gpa.two.decimals.0.56";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_57 = "kuali.result.value.gpa.two.decimals.0.57";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_58 = "kuali.result.value.gpa.two.decimals.0.58";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_59 = "kuali.result.value.gpa.two.decimals.0.59";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_60 = "kuali.result.value.gpa.two.decimals.0.60";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_61 = "kuali.result.value.gpa.two.decimals.0.61";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_62 = "kuali.result.value.gpa.two.decimals.0.62";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_63 = "kuali.result.value.gpa.two.decimals.0.63";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_64 = "kuali.result.value.gpa.two.decimals.0.64";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_65 = "kuali.result.value.gpa.two.decimals.0.65";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_66 = "kuali.result.value.gpa.two.decimals.0.66";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_67 = "kuali.result.value.gpa.two.decimals.0.67";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_68 = "kuali.result.value.gpa.two.decimals.0.68";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_69 = "kuali.result.value.gpa.two.decimals.0.69";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_70 = "kuali.result.value.gpa.two.decimals.0.70";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_71 = "kuali.result.value.gpa.two.decimals.0.71";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_72 = "kuali.result.value.gpa.two.decimals.0.72";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_73 = "kuali.result.value.gpa.two.decimals.0.73";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_74 = "kuali.result.value.gpa.two.decimals.0.74";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_75 = "kuali.result.value.gpa.two.decimals.0.75";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_76 = "kuali.result.value.gpa.two.decimals.0.76";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_77 = "kuali.result.value.gpa.two.decimals.0.77";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_78 = "kuali.result.value.gpa.two.decimals.0.78";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_79 = "kuali.result.value.gpa.two.decimals.0.79";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_80 = "kuali.result.value.gpa.two.decimals.0.80";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_81 = "kuali.result.value.gpa.two.decimals.0.81";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_82 = "kuali.result.value.gpa.two.decimals.0.82";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_83 = "kuali.result.value.gpa.two.decimals.0.83";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_84 = "kuali.result.value.gpa.two.decimals.0.84";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_85 = "kuali.result.value.gpa.two.decimals.0.85";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_86 = "kuali.result.value.gpa.two.decimals.0.86";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_87 = "kuali.result.value.gpa.two.decimals.0.87";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_88 = "kuali.result.value.gpa.two.decimals.0.88";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_89 = "kuali.result.value.gpa.two.decimals.0.89";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_90 = "kuali.result.value.gpa.two.decimals.0.90";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_91 = "kuali.result.value.gpa.two.decimals.0.91";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_92 = "kuali.result.value.gpa.two.decimals.0.92";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_93 = "kuali.result.value.gpa.two.decimals.0.93";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_94 = "kuali.result.value.gpa.two.decimals.0.94";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_95 = "kuali.result.value.gpa.two.decimals.0.95";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_96 = "kuali.result.value.gpa.two.decimals.0.96";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_97 = "kuali.result.value.gpa.two.decimals.0.97";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_98 = "kuali.result.value.gpa.two.decimals.0.98";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_0_99 = "kuali.result.value.gpa.two.decimals.0.99";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_00 = "kuali.result.value.gpa.two.decimals.1.00";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_01 = "kuali.result.value.gpa.two.decimals.1.01";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_02 = "kuali.result.value.gpa.two.decimals.1.02";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_03 = "kuali.result.value.gpa.two.decimals.1.03";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_04 = "kuali.result.value.gpa.two.decimals.1.04";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_05 = "kuali.result.value.gpa.two.decimals.1.05";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_06 = "kuali.result.value.gpa.two.decimals.1.06";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_07 = "kuali.result.value.gpa.two.decimals.1.07";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_08 = "kuali.result.value.gpa.two.decimals.1.08";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_09 = "kuali.result.value.gpa.two.decimals.1.09";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_10 = "kuali.result.value.gpa.two.decimals.1.10";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_11 = "kuali.result.value.gpa.two.decimals.1.11";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_12 = "kuali.result.value.gpa.two.decimals.1.12";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_13 = "kuali.result.value.gpa.two.decimals.1.13";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_14 = "kuali.result.value.gpa.two.decimals.1.14";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_15 = "kuali.result.value.gpa.two.decimals.1.15";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_16 = "kuali.result.value.gpa.two.decimals.1.16";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_17 = "kuali.result.value.gpa.two.decimals.1.17";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_18 = "kuali.result.value.gpa.two.decimals.1.18";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_19 = "kuali.result.value.gpa.two.decimals.1.19";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_20 = "kuali.result.value.gpa.two.decimals.1.20";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_21 = "kuali.result.value.gpa.two.decimals.1.21";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_22 = "kuali.result.value.gpa.two.decimals.1.22";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_23 = "kuali.result.value.gpa.two.decimals.1.23";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_24 = "kuali.result.value.gpa.two.decimals.1.24";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_25 = "kuali.result.value.gpa.two.decimals.1.25";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_26 = "kuali.result.value.gpa.two.decimals.1.26";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_27 = "kuali.result.value.gpa.two.decimals.1.27";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_28 = "kuali.result.value.gpa.two.decimals.1.28";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_29 = "kuali.result.value.gpa.two.decimals.1.29";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_30 = "kuali.result.value.gpa.two.decimals.1.30";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_31 = "kuali.result.value.gpa.two.decimals.1.31";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_32 = "kuali.result.value.gpa.two.decimals.1.32";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_33 = "kuali.result.value.gpa.two.decimals.1.33";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_34 = "kuali.result.value.gpa.two.decimals.1.34";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_35 = "kuali.result.value.gpa.two.decimals.1.35";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_36 = "kuali.result.value.gpa.two.decimals.1.36";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_37 = "kuali.result.value.gpa.two.decimals.1.37";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_38 = "kuali.result.value.gpa.two.decimals.1.38";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_39 = "kuali.result.value.gpa.two.decimals.1.39";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_40 = "kuali.result.value.gpa.two.decimals.1.40";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_41 = "kuali.result.value.gpa.two.decimals.1.41";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_42 = "kuali.result.value.gpa.two.decimals.1.42";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_43 = "kuali.result.value.gpa.two.decimals.1.43";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_44 = "kuali.result.value.gpa.two.decimals.1.44";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_45 = "kuali.result.value.gpa.two.decimals.1.45";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_46 = "kuali.result.value.gpa.two.decimals.1.46";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_47 = "kuali.result.value.gpa.two.decimals.1.47";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_48 = "kuali.result.value.gpa.two.decimals.1.48";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_49 = "kuali.result.value.gpa.two.decimals.1.49";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_50 = "kuali.result.value.gpa.two.decimals.1.50";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_51 = "kuali.result.value.gpa.two.decimals.1.51";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_52 = "kuali.result.value.gpa.two.decimals.1.52";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_53 = "kuali.result.value.gpa.two.decimals.1.53";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_54 = "kuali.result.value.gpa.two.decimals.1.54";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_55 = "kuali.result.value.gpa.two.decimals.1.55";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_56 = "kuali.result.value.gpa.two.decimals.1.56";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_57 = "kuali.result.value.gpa.two.decimals.1.57";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_58 = "kuali.result.value.gpa.two.decimals.1.58";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_59 = "kuali.result.value.gpa.two.decimals.1.59";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_60 = "kuali.result.value.gpa.two.decimals.1.60";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_61 = "kuali.result.value.gpa.two.decimals.1.61";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_62 = "kuali.result.value.gpa.two.decimals.1.62";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_63 = "kuali.result.value.gpa.two.decimals.1.63";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_64 = "kuali.result.value.gpa.two.decimals.1.64";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_65 = "kuali.result.value.gpa.two.decimals.1.65";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_66 = "kuali.result.value.gpa.two.decimals.1.66";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_67 = "kuali.result.value.gpa.two.decimals.1.67";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_68 = "kuali.result.value.gpa.two.decimals.1.68";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_69 = "kuali.result.value.gpa.two.decimals.1.69";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_70 = "kuali.result.value.gpa.two.decimals.1.70";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_71 = "kuali.result.value.gpa.two.decimals.1.71";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_72 = "kuali.result.value.gpa.two.decimals.1.72";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_73 = "kuali.result.value.gpa.two.decimals.1.73";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_74 = "kuali.result.value.gpa.two.decimals.1.74";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_75 = "kuali.result.value.gpa.two.decimals.1.75";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_76 = "kuali.result.value.gpa.two.decimals.1.76";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_77 = "kuali.result.value.gpa.two.decimals.1.77";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_78 = "kuali.result.value.gpa.two.decimals.1.78";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_79 = "kuali.result.value.gpa.two.decimals.1.79";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_80 = "kuali.result.value.gpa.two.decimals.1.80";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_81 = "kuali.result.value.gpa.two.decimals.1.81";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_82 = "kuali.result.value.gpa.two.decimals.1.82";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_83 = "kuali.result.value.gpa.two.decimals.1.83";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_84 = "kuali.result.value.gpa.two.decimals.1.84";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_85 = "kuali.result.value.gpa.two.decimals.1.85";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_86 = "kuali.result.value.gpa.two.decimals.1.86";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_87 = "kuali.result.value.gpa.two.decimals.1.87";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_88 = "kuali.result.value.gpa.two.decimals.1.88";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_89 = "kuali.result.value.gpa.two.decimals.1.89";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_90 = "kuali.result.value.gpa.two.decimals.1.90";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_91 = "kuali.result.value.gpa.two.decimals.1.91";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_92 = "kuali.result.value.gpa.two.decimals.1.92";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_93 = "kuali.result.value.gpa.two.decimals.1.93";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_94 = "kuali.result.value.gpa.two.decimals.1.94";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_95 = "kuali.result.value.gpa.two.decimals.1.95";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_96 = "kuali.result.value.gpa.two.decimals.1.96";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_97 = "kuali.result.value.gpa.two.decimals.1.97";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_98 = "kuali.result.value.gpa.two.decimals.1.98";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_1_99 = "kuali.result.value.gpa.two.decimals.1.99";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_00 = "kuali.result.value.gpa.two.decimals.2.00";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_01 = "kuali.result.value.gpa.two.decimals.2.01";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_02 = "kuali.result.value.gpa.two.decimals.2.02";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_03 = "kuali.result.value.gpa.two.decimals.2.03";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_04 = "kuali.result.value.gpa.two.decimals.2.04";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_05 = "kuali.result.value.gpa.two.decimals.2.05";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_06 = "kuali.result.value.gpa.two.decimals.2.06";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_07 = "kuali.result.value.gpa.two.decimals.2.07";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_08 = "kuali.result.value.gpa.two.decimals.2.08";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_09 = "kuali.result.value.gpa.two.decimals.2.09";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_10 = "kuali.result.value.gpa.two.decimals.2.10";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_11 = "kuali.result.value.gpa.two.decimals.2.11";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_12 = "kuali.result.value.gpa.two.decimals.2.12";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_13 = "kuali.result.value.gpa.two.decimals.2.13";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_14 = "kuali.result.value.gpa.two.decimals.2.14";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_15 = "kuali.result.value.gpa.two.decimals.2.15";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_16 = "kuali.result.value.gpa.two.decimals.2.16";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_17 = "kuali.result.value.gpa.two.decimals.2.17";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_18 = "kuali.result.value.gpa.two.decimals.2.18";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_19 = "kuali.result.value.gpa.two.decimals.2.19";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_20 = "kuali.result.value.gpa.two.decimals.2.20";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_21 = "kuali.result.value.gpa.two.decimals.2.21";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_22 = "kuali.result.value.gpa.two.decimals.2.22";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_23 = "kuali.result.value.gpa.two.decimals.2.23";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_24 = "kuali.result.value.gpa.two.decimals.2.24";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_25 = "kuali.result.value.gpa.two.decimals.2.25";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_26 = "kuali.result.value.gpa.two.decimals.2.26";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_27 = "kuali.result.value.gpa.two.decimals.2.27";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_28 = "kuali.result.value.gpa.two.decimals.2.28";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_29 = "kuali.result.value.gpa.two.decimals.2.29";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_30 = "kuali.result.value.gpa.two.decimals.2.30";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_31 = "kuali.result.value.gpa.two.decimals.2.31";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_32 = "kuali.result.value.gpa.two.decimals.2.32";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_33 = "kuali.result.value.gpa.two.decimals.2.33";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_34 = "kuali.result.value.gpa.two.decimals.2.34";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_35 = "kuali.result.value.gpa.two.decimals.2.35";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_36 = "kuali.result.value.gpa.two.decimals.2.36";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_37 = "kuali.result.value.gpa.two.decimals.2.37";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_38 = "kuali.result.value.gpa.two.decimals.2.38";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_39 = "kuali.result.value.gpa.two.decimals.2.39";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_40 = "kuali.result.value.gpa.two.decimals.2.40";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_41 = "kuali.result.value.gpa.two.decimals.2.41";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_42 = "kuali.result.value.gpa.two.decimals.2.42";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_43 = "kuali.result.value.gpa.two.decimals.2.43";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_44 = "kuali.result.value.gpa.two.decimals.2.44";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_45 = "kuali.result.value.gpa.two.decimals.2.45";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_46 = "kuali.result.value.gpa.two.decimals.2.46";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_47 = "kuali.result.value.gpa.two.decimals.2.47";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_48 = "kuali.result.value.gpa.two.decimals.2.48";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_49 = "kuali.result.value.gpa.two.decimals.2.49";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_50 = "kuali.result.value.gpa.two.decimals.2.50";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_51 = "kuali.result.value.gpa.two.decimals.2.51";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_52 = "kuali.result.value.gpa.two.decimals.2.52";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_53 = "kuali.result.value.gpa.two.decimals.2.53";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_54 = "kuali.result.value.gpa.two.decimals.2.54";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_55 = "kuali.result.value.gpa.two.decimals.2.55";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_56 = "kuali.result.value.gpa.two.decimals.2.56";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_57 = "kuali.result.value.gpa.two.decimals.2.57";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_58 = "kuali.result.value.gpa.two.decimals.2.58";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_59 = "kuali.result.value.gpa.two.decimals.2.59";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_60 = "kuali.result.value.gpa.two.decimals.2.60";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_61 = "kuali.result.value.gpa.two.decimals.2.61";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_62 = "kuali.result.value.gpa.two.decimals.2.62";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_63 = "kuali.result.value.gpa.two.decimals.2.63";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_64 = "kuali.result.value.gpa.two.decimals.2.64";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_65 = "kuali.result.value.gpa.two.decimals.2.65";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_66 = "kuali.result.value.gpa.two.decimals.2.66";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_67 = "kuali.result.value.gpa.two.decimals.2.67";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_68 = "kuali.result.value.gpa.two.decimals.2.68";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_69 = "kuali.result.value.gpa.two.decimals.2.69";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_70 = "kuali.result.value.gpa.two.decimals.2.70";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_71 = "kuali.result.value.gpa.two.decimals.2.71";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_72 = "kuali.result.value.gpa.two.decimals.2.72";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_73 = "kuali.result.value.gpa.two.decimals.2.73";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_74 = "kuali.result.value.gpa.two.decimals.2.74";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_75 = "kuali.result.value.gpa.two.decimals.2.75";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_76 = "kuali.result.value.gpa.two.decimals.2.76";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_77 = "kuali.result.value.gpa.two.decimals.2.77";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_78 = "kuali.result.value.gpa.two.decimals.2.78";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_79 = "kuali.result.value.gpa.two.decimals.2.79";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_80 = "kuali.result.value.gpa.two.decimals.2.80";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_81 = "kuali.result.value.gpa.two.decimals.2.81";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_82 = "kuali.result.value.gpa.two.decimals.2.82";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_83 = "kuali.result.value.gpa.two.decimals.2.83";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_84 = "kuali.result.value.gpa.two.decimals.2.84";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_85 = "kuali.result.value.gpa.two.decimals.2.85";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_86 = "kuali.result.value.gpa.two.decimals.2.86";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_87 = "kuali.result.value.gpa.two.decimals.2.87";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_88 = "kuali.result.value.gpa.two.decimals.2.88";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_89 = "kuali.result.value.gpa.two.decimals.2.89";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_90 = "kuali.result.value.gpa.two.decimals.2.90";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_91 = "kuali.result.value.gpa.two.decimals.2.91";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_92 = "kuali.result.value.gpa.two.decimals.2.92";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_93 = "kuali.result.value.gpa.two.decimals.2.93";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_94 = "kuali.result.value.gpa.two.decimals.2.94";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_95 = "kuali.result.value.gpa.two.decimals.2.95";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_96 = "kuali.result.value.gpa.two.decimals.2.96";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_97 = "kuali.result.value.gpa.two.decimals.2.97";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_98 = "kuali.result.value.gpa.two.decimals.2.98";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_2_99 = "kuali.result.value.gpa.two.decimals.2.99";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_00 = "kuali.result.value.gpa.two.decimals.3.00";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_01 = "kuali.result.value.gpa.two.decimals.3.01";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_02 = "kuali.result.value.gpa.two.decimals.3.02";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_03 = "kuali.result.value.gpa.two.decimals.3.03";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_04 = "kuali.result.value.gpa.two.decimals.3.04";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_05 = "kuali.result.value.gpa.two.decimals.3.05";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_06 = "kuali.result.value.gpa.two.decimals.3.06";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_07 = "kuali.result.value.gpa.two.decimals.3.07";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_08 = "kuali.result.value.gpa.two.decimals.3.08";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_09 = "kuali.result.value.gpa.two.decimals.3.09";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_10 = "kuali.result.value.gpa.two.decimals.3.10";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_11 = "kuali.result.value.gpa.two.decimals.3.11";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_12 = "kuali.result.value.gpa.two.decimals.3.12";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_13 = "kuali.result.value.gpa.two.decimals.3.13";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_14 = "kuali.result.value.gpa.two.decimals.3.14";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_15 = "kuali.result.value.gpa.two.decimals.3.15";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_16 = "kuali.result.value.gpa.two.decimals.3.16";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_17 = "kuali.result.value.gpa.two.decimals.3.17";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_18 = "kuali.result.value.gpa.two.decimals.3.18";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_19 = "kuali.result.value.gpa.two.decimals.3.19";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_20 = "kuali.result.value.gpa.two.decimals.3.20";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_21 = "kuali.result.value.gpa.two.decimals.3.21";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_22 = "kuali.result.value.gpa.two.decimals.3.22";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_23 = "kuali.result.value.gpa.two.decimals.3.23";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_24 = "kuali.result.value.gpa.two.decimals.3.24";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_25 = "kuali.result.value.gpa.two.decimals.3.25";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_26 = "kuali.result.value.gpa.two.decimals.3.26";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_27 = "kuali.result.value.gpa.two.decimals.3.27";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_28 = "kuali.result.value.gpa.two.decimals.3.28";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_29 = "kuali.result.value.gpa.two.decimals.3.29";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_30 = "kuali.result.value.gpa.two.decimals.3.30";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_31 = "kuali.result.value.gpa.two.decimals.3.31";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_32 = "kuali.result.value.gpa.two.decimals.3.32";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_33 = "kuali.result.value.gpa.two.decimals.3.33";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_34 = "kuali.result.value.gpa.two.decimals.3.34";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_35 = "kuali.result.value.gpa.two.decimals.3.35";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_36 = "kuali.result.value.gpa.two.decimals.3.36";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_37 = "kuali.result.value.gpa.two.decimals.3.37";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_38 = "kuali.result.value.gpa.two.decimals.3.38";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_39 = "kuali.result.value.gpa.two.decimals.3.39";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_40 = "kuali.result.value.gpa.two.decimals.3.40";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_41 = "kuali.result.value.gpa.two.decimals.3.41";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_42 = "kuali.result.value.gpa.two.decimals.3.42";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_43 = "kuali.result.value.gpa.two.decimals.3.43";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_44 = "kuali.result.value.gpa.two.decimals.3.44";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_45 = "kuali.result.value.gpa.two.decimals.3.45";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_46 = "kuali.result.value.gpa.two.decimals.3.46";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_47 = "kuali.result.value.gpa.two.decimals.3.47";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_48 = "kuali.result.value.gpa.two.decimals.3.48";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_49 = "kuali.result.value.gpa.two.decimals.3.49";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_50 = "kuali.result.value.gpa.two.decimals.3.50";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_51 = "kuali.result.value.gpa.two.decimals.3.51";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_52 = "kuali.result.value.gpa.two.decimals.3.52";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_53 = "kuali.result.value.gpa.two.decimals.3.53";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_54 = "kuali.result.value.gpa.two.decimals.3.54";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_55 = "kuali.result.value.gpa.two.decimals.3.55";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_56 = "kuali.result.value.gpa.two.decimals.3.56";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_57 = "kuali.result.value.gpa.two.decimals.3.57";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_58 = "kuali.result.value.gpa.two.decimals.3.58";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_59 = "kuali.result.value.gpa.two.decimals.3.59";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_60 = "kuali.result.value.gpa.two.decimals.3.60";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_61 = "kuali.result.value.gpa.two.decimals.3.61";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_62 = "kuali.result.value.gpa.two.decimals.3.62";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_63 = "kuali.result.value.gpa.two.decimals.3.63";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_64 = "kuali.result.value.gpa.two.decimals.3.64";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_65 = "kuali.result.value.gpa.two.decimals.3.65";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_66 = "kuali.result.value.gpa.two.decimals.3.66";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_67 = "kuali.result.value.gpa.two.decimals.3.67";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_68 = "kuali.result.value.gpa.two.decimals.3.68";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_69 = "kuali.result.value.gpa.two.decimals.3.69";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_70 = "kuali.result.value.gpa.two.decimals.3.70";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_71 = "kuali.result.value.gpa.two.decimals.3.71";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_72 = "kuali.result.value.gpa.two.decimals.3.72";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_73 = "kuali.result.value.gpa.two.decimals.3.73";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_74 = "kuali.result.value.gpa.two.decimals.3.74";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_75 = "kuali.result.value.gpa.two.decimals.3.75";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_76 = "kuali.result.value.gpa.two.decimals.3.76";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_77 = "kuali.result.value.gpa.two.decimals.3.77";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_78 = "kuali.result.value.gpa.two.decimals.3.78";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_79 = "kuali.result.value.gpa.two.decimals.3.79";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_80 = "kuali.result.value.gpa.two.decimals.3.80";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_81 = "kuali.result.value.gpa.two.decimals.3.81";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_82 = "kuali.result.value.gpa.two.decimals.3.82";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_83 = "kuali.result.value.gpa.two.decimals.3.83";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_84 = "kuali.result.value.gpa.two.decimals.3.84";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_85 = "kuali.result.value.gpa.two.decimals.3.85";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_86 = "kuali.result.value.gpa.two.decimals.3.86";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_87 = "kuali.result.value.gpa.two.decimals.3.87";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_88 = "kuali.result.value.gpa.two.decimals.3.88";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_89 = "kuali.result.value.gpa.two.decimals.3.89";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_90 = "kuali.result.value.gpa.two.decimals.3.90";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_91 = "kuali.result.value.gpa.two.decimals.3.91";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_92 = "kuali.result.value.gpa.two.decimals.3.92";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_93 = "kuali.result.value.gpa.two.decimals.3.93";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_94 = "kuali.result.value.gpa.two.decimals.3.94";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_95 = "kuali.result.value.gpa.two.decimals.3.95";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_96 = "kuali.result.value.gpa.two.decimals.3.96";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_97 = "kuali.result.value.gpa.two.decimals.3.97";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_98 = "kuali.result.value.gpa.two.decimals.3.98";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_3_99 = "kuali.result.value.gpa.two.decimals.3.99";
    public static final String RESULT_VALUE_KEY_GPA_TWO_DECIMALS_4_00 = "kuali.result.value.gpa.two.decimals.4.00";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_1 = "kuali.result.value.student.year.1";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_2 = "kuali.result.value.student.year.2";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_3 = "kuali.result.value.student.year.3";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_4 = "kuali.result.value.student.year.4";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_G = "kuali.result.value.student.year.g";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_GRAD_G1 = "kuali.result.value.student.year.grad.g1";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_GRAD_G2 = "kuali.result.value.student.year.grad.g2";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_GRAD_GT = "kuali.result.value.student.year.grad.gt";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_LOCKSTEP_1 = "kuali.result.value.student.year.lockstep.1";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_LOCKSTEP_2 = "kuali.result.value.student.year.lockstep.2";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_LOCKSTEP_3 = "kuali.result.value.student.year.lockstep.3";
    public static final String RESULT_VALUE_KEY_STUDENT_YEAR_LOCKSTEP_4 = "kuali.result.value.student.year.lockstep.4";
    public static final String RESULT_VALUE_KEY_HONOR_DEANS_LIST_ON = "kuali.result.value.honor.deans.list.on";
    public static final String RESULT_VALUE_KEY_HONOR_DEGREE_LATIN_LAUD = "kuali.result.value.honor.degree.latin.laud";
    public static final String RESULT_VALUE_KEY_HONOR_DEGREE_LATIN_MAGNA = "kuali.result.value.honor.degree.latin.magna";
    public static final String RESULT_VALUE_KEY_HONOR_DEGREE_LATIN_MAXIMA = "kuali.result.value.honor.degree.latin.maxima";
    public static final String RESULT_VALUE_KEY_HONOR_DEGREE_LATIN_SUMMA = "kuali.result.value.honor.degree.latin.summa";
    public static final String RESULT_VALUE_KEY_HONOR_DEGREE_LATIN_EGREGIA = "kuali.result.value.honor.degree.latin.egregia";
    // grade group keys
    public static final String RESULT_GROUP_KEY_GRADE_LETTER = "kuali.resultComponent.grade.letter";
    public static final String RESULT_GROUP_KEY_GRADE_LETTER_PASSING_TRANSLATION = "kuali.result.group.grade.letter.passing.translation";
    public static final String RESULT_GROUP_KEY_GRADE_LETTER_GRADUATE = "kuali.result.group.grade.letter.graduate";
    public static final String RESULT_GROUP_KEY_GRADE_PASSFAIL = "kuali.resultComponent.grade.passFail";
    public static final String RESULT_GROUP_KEY_GRADE_PNP_STANDARD = "kuali.result.group.grade.pnp.standard";
    public static final String RESULT_GROUP_KEY_GRADE_LETTER_PLUS_MINUS_STANDARD = "kuali.result.group.grade.letter.plus.minus.standard";
    public static final String RESULT_GROUP_KEY_GRADE_PERCENTAGE = "kuali.resultComponent.grade.percentage";
    public static final String RESULT_GROUP_KEY_GRADE_PERCENTAGE_0_59 = "kuali.result.group.grade.percentage.0.59";
    public static final String RESULT_GROUP_KEY_GRADE_PERCENTAGE_60_69 = "kuali.result.group.grade.percentage.60.69";
    public static final String RESULT_GROUP_KEY_GRADE_PERCENTAGE_70_79 = "kuali.result.group.grade.percentage.70.79";
    public static final String RESULT_GROUP_KEY_GRADE_PERCENTAGE_80_84 = "kuali.result.group.grade.percentage.80.84";
    public static final String RESULT_GROUP_KEY_GRADE_PERCENTAGE_85_89 = "kuali.result.group.grade.percentage.85.89";
    public static final String RESULT_GROUP_KEY_GRADE_PERCENTAGE_90_MINUS94 = "kuali.result.group.grade.percentage.90-94";
    public static final String RESULT_GROUP_KEY_GRADE_PERCENTAGE_95_100 = "kuali.result.group.grade.percentage.95.100";
    public static final String RESULT_GROUP_KEY_CREDIT_REMEDIAL_FIXED_BASE = "kuali.result.group.credit.remedial.fixed.";
    public static final String RESULT_GROUP_KEY_CREDIT_REMEDIAL_FIXED_1 = RESULT_GROUP_KEY_CREDIT_REMEDIAL_FIXED_BASE + "1";
    public static final String RESULT_GROUP_KEY_CREDIT_REMEDIAL_FIXED_2 = RESULT_GROUP_KEY_CREDIT_REMEDIAL_FIXED_BASE + "2";
    public static final String RESULT_GROUP_KEY_CREDIT_REMEDIAL_FIXED_3 = RESULT_GROUP_KEY_CREDIT_REMEDIAL_FIXED_BASE + "3";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_BASE = "kuali.creditType.credit.degree.";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_1_0 = "kuali.creditType.credit.degree.1.0";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_2_0 = "kuali.creditType.credit.degree.2.0";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_3_0 = "kuali.creditType.credit.degree.3.0";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_4_0 = "kuali.creditType.credit.degree.4.0";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_5_0 = "kuali.creditType.credit.degree.5.0";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_6_0 = "kuali.creditType.credit.degree.6.0";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_7_0 = "kuali.creditType.credit.degree.7.0";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_8_0 = "kuali.creditType.credit.degree.8.0";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_9_0 = "kuali.creditType.credit.degree.9.0";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_10_0 = "kuali.creditType.credit.degree.10.0";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_1_MINUS2 = "kuali.creditType.credit.degree.1-2";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_1_MINUS3 = "kuali.creditType.credit.degree.1-3";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_1_MINUS4 = "kuali.creditType.credit.degree.1-4";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_1_MINUS5 = "kuali.creditType.credit.degree.1-5";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_1_MINUS6 = "kuali.creditType.credit.degree.1-6";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_3_MINUS6 = "kuali.creditType.credit.degree.3-6";
    public static final String RESULT_GROUP_KEY_KUALI_CREDITTYPE_CREDIT_1_3_5_7_9 = "kuali.creditType.credit.degree.1.3.5.7.9";
    public static final String RESULT_GROUP_KEY_GRADE_ADMIN_STANDARD = "kuali.result.group.grade.admin.standard";
    public static final String RESULT_GROUP_KEY_GRADE_ADMIN_IN_MINUSPROGRESS = "kuali.result.group.grade.admin.in-progress";
    public static final String RESULT_GROUP_KEY_GRADE_SATISFACTORY = "kuali.resultComponent.grade.satisfactory";
    public static final String RESULT_GROUP_KEY_GRADE_COMPLETEDNOTATION = "kuali.resultComponent.grade.completedNotation";
    public static final String RESULT_GROUP_KEY_GRADE_AUDIT = "kuali.resultComponent.grade.audit";
    public static final String RESULT_GROUP_KEY_GRADE_DESIGNREVIEW = "kuali.resultComponent.grade.designReview";
    public static final String RESULT_GROUP_KEY_GRADE_RECITALREVIEW = "kuali.resultComponent.grade.recitalReview";
    public static final String RESULT_GROUP_KEY_DEGREE_AS = "kuali.result.group.degree.as";
    public static final String RESULT_GROUP_KEY_DEGREE_AA = "kuali.result.group.degree.aa";
    public static final String RESULT_GROUP_KEY_DEGREE_BSC = "kuali.resultComponent.degree.bsc ";
    public static final String RESULT_GROUP_KEY_DEGREE_BA = "kuali.resultComponent.degree.ba ";
    public static final String RESULT_GROUP_KEY_DEGREE_BMUS = "kuali.resultComponent.degree.bmus ";
    public static final String RESULT_GROUP_KEY_DEGREE_MARCH = "kuali.result.group.degree.march";
    public static final String RESULT_GROUP_KEY_DEGREE_MENG = "kuali.result.group.degree.meng";
    public static final String RESULT_GROUP_KEY_DEGREE_MS = "kuali.result.group.degree.ms";
    public static final String RESULT_GROUP_KEY_DEGREE_MA = "kuali.result.group.degree.ma";
    public static final String RESULT_GROUP_KEY_DEGREE_PHD = "kuali.result.group.degree.phd";
    public static final String RESULT_GROUP_KEY_DEGREE_ASSOCIATES = "kuali.result.group.degree.associates";
    public static final String RESULT_GROUP_KEY_DEGREE_BACHELORS = "kuali.result.group.degree.bachelors";
    public static final String RESULT_GROUP_KEY_DEGREE_MASTERS = "kuali.result.group.degree.masters";
    public static final String RESULT_GROUP_KEY_DEGREE_PROFESSIONAL = "kuali.result.group.degree.professional";
    public static final String RESULT_GROUP_KEY_DEGREE_DOCTORAL = "kuali.result.group.degree.doctoral";
    public static final String RESULT_GROUP_KEY_MINOR = "kuali.result.group.minor";
    public static final String RESULT_GROUP_KEY_GPA = "kuali.result.group.gpa";
    public static final String RESULT_GROUP_KEY_GPA_TWO_DECIMALS = "kuali.result.group.gpa.two.decimals";
    public static final String RESULT_GROUP_KEY_STUDENT_YEAR = "kuali.result.group.student.year";
    public static final String RESULT_GROUP_KEY_STUDENT_YEAR_UNDERGRAD = "kuali.result.group.student.year.undergrad";
    public static final String RESULT_GROUP_KEY_STUDENT_YEAR_GRAD = "kuali.result.group.student.year.grad";
    public static final String RESULT_GROUP_KEY_STUDENT_YEAR_LOCKSTEP_LAW = "kuali.result.group.student.year.lockstep.law";
    public static final String RESULT_GROUP_KEY_STUDENT_YEAR_LOCKSTEP_MED = "kuali.result.group.student.year.lockstep.med";
    public static final String RESULT_GROUP_KEY_HONOR_DEANS_LIST = "kuali.result.group.honor.deans.list";
    public static final String RESULT_GROUP_KEY_HONOR_DEGREE_LATIN = "kuali.result.group.honor.degree.latin";
    // grade values group type keys
//    public static final String RESULT_VALUE_NUMBER_GRADE_TYPE = "kuali.lrc.type.number.grade";
//    public static final String RESULT_VALUE_LETTER_GRADE_TYPE = "kuali.lrc.type.letter.grade";
//    public static final String RESULT_VALUE_CREDIT_TYPE = "kuali.lrc.type.credit";
    // result value type
    public static final String RESULT_VALUE_TYPE_KEY_VALUE = "kuali.result.value.type.value";

    // scale states
    public static final String RESULT_SCALE_STATE_DRAFT = "kuali.result.scale.state.draft";
    public static final String RESULT_SCALE_STATE_APPROVED = "kuali.result.scale.state.approved";
    public static final String RESULT_SCALE_STATE_RETIRED = "kuali.result.scale.state.retired";

    // value states
    public static final String RESULT_VALUE_STATE_DRAFT = "kuali.result.value.state.draft";
    public static final String RESULT_VALUE_STATE_APPROVED = "kuali.result.value.state.approved";
    public static final String RESULT_VALUE_STATE_RETIRED = "kuali.result.value.state.retired";


    // values groups
    public static final String RESULT_GROUPS_STATE_DRAFT = "kuali.result.values.group.state.draft";
    public static final String RESULT_GROUPS_STATE_APPROVED = "kuali.result.values.group.state.approved";
    public static final String RESULT_GROUPS_STATE_RETIRED = "kuali.result.values.group.state.retired";

}
